﻿
using OASystem.Domain;
using OASystem.Domain.Dtos;
using OASystem.Domain.Entities.System;

namespace OASystem.Infrastructure.Repositories.Login
{
    public class LoginRepository : BaseRepository<Sys_Users, LoginView>
    {
        public LoginRepository(SqlSugarClient sqlSugar) : base(sqlSugar)
        {
        }

        /// <summary>
        /// 用户登录
        /// 返回Token
        /// </summary>
        /// <param name="_loginRep"></param>
        /// <param name="loginDto"></param>
        /// <returns></returns>
        public async Task<Result> Login(LoginRepository _loginRep, LoginDto loginDto)
        {
            Result result = new Result();
            string SQLWhere = string.Format("Where Number='{0}' And Password='{1}'", loginDto.Number, loginDto.Password);
            string sql = string.Format("Select * From Sys_Users With(NoLock) {0}", SQLWhere);
            var _entity = await _loginRep.GetSingleInfoBySqlWithNolockAsync(sql);
            if (_entity == null)
            {
                result.Code = -2;
                result.Message = "暂无该账号信息!";

                return result;
            }
            result.Code = 0;
            result.Message = "成功!";
            result.Data = _entity;
            return result;

        }
    }
}
